Bug 807566 - Review Request: gnome-shell-extension-iok - gnome-shell extension for iok application
Summary: Review Request: gnome-shell-extension-iok - gnome-shell extension for iok app...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 07:52 UTC by Parag Nemade
Modified: 2012-04-25 05:05 UTC (History)
4 users (show)

Fixed In Version: gnome-shell-extension-iok-0.20120423-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-25 05:05:43 UTC
Type: ---
dueno: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2012-03-28 07:52:04 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/gnome-shell-extension-iok.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/gnome-shell-extension-iok-0.20120328-1.fc16.src.rpm
Description: This Gnome Shell extension opens iok in current locale Inscript2 keymap. If Inscript2 keymap for current locale is not available then iok will be
started in advanced mode where it will show all the supported Indic m17n and xkb keymaps.

Comment 1 Daiki Ueno 2012-04-12 07:29:22 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.

According to extenson.js header, it seems GPLv2+, not GPLv2.

[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint gnome-shell-extension-iok-0.20120328-1.fc18.noarch.rpm

gnome-shell-extension-iok.noarch: W: spelling-error %description -l en_US keymap -> key map, key-map, mapmaker
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint gnome-shell-extension-iok-0.20120328-1.fc18.src.rpm

gnome-shell-extension-iok.src: W: spelling-error %description -l en_US keymap -> key map, key-map, mapmaker
gnome-shell-extension-iok.src: W: invalid-url Source0: pnemade-gnome-shell-extension-iok-13a043e.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[!]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

  rpmlint gnome-shell-extension-iok-0.20120328-1.fc18.noarch.rpm

  gnome-shell-extension-iok.noarch: W: spelling-error %description -l en_US keymap -> key map, key-map, mapmaker
  1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Looks harmless.

  rpmlint gnome-shell-extension-iok-0.20120328-1.fc18.src.rpm

  gnome-shell-extension-iok.src: W: spelling-error %description -l en_US keymap -> key map, key-map, mapmaker
  gnome-shell-extension-iok.src: W: invalid-url Source0: pnemade-gnome-shell-extension-iok-13a043e.tar.gz
  1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Why don't you add a tag at github to generate static download link like this?
https://github.com/ueno/libskk/tarball/0.0.12

[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.

Perhaps good to include COPYING file.

[!]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.

I think this is not applicable since you will need bunch of translations :)

APPROVED.

Comment 2 Parag Nemade 2012-04-12 08:40:56 UTC
Thanks dueno for the review. I will resolve issues while importing package.

Comment 3 Parag Nemade 2012-04-12 08:43:14 UTC
New Package SCM Request
=======================
Package Name: gnome-shell-extension-iok 
Short Description: gnome-shell extension for iok application
Owners: pnemade
Branches: f17
InitialCC: i18n-team

Comment 4 Gwyn Ciesla 2012-04-12 12:30:24 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-04-17 06:54:22 UTC
gnome-shell-extension-iok-0.20120313-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-shell-extension-iok-0.20120313-1.fc17

Comment 6 Fedora Update System 2012-04-18 22:10:43 UTC
gnome-shell-extension-iok-0.20120313-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 7 Fedora Update System 2012-04-23 13:39:30 UTC
gnome-shell-extension-iok-0.20120423-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-shell-extension-iok-0.20120423-1.fc17

Comment 8 Fedora Update System 2012-04-24 07:07:30 UTC
gnome-shell-extension-iok-0.20120423-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-shell-extension-iok-0.20120423-2.fc17

Comment 9 Fedora Update System 2012-04-25 05:05:43 UTC
gnome-shell-extension-iok-0.20120423-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.